<template>
  <v-app>
    <div id="wrapper" class="grey lighten-5">
      <NavBar/>
      <v-main class="mt-5">
        <router-view></router-view>
      </v-main>
      <div id="footer">
        <Footer/>
      </div>
    </div>
  </v-app>
</template>

<script>
import NavBar from './components/NavBar';
import Footer from './components/Footer';

export default {
  name: 'App',

  watch: {
    '$route' (to) {
      document.title = to.meta.title || 'BitcoinCharts'
    }
  },

  components: {
    NavBar,
    Footer
  },

  data: () => ({
    //
  }),
};
</script>
<style>
  html,
  body {
    height: 100%;
    position: relative;
  }
  #wrapper {
      min-height: 100vh; /* will cover the 100% of viewport */
      overflow: hidden;
      display: block;
      position: relative;
      padding-bottom: 100px; /* height of your footer */
  }
  #footer {
    position: absolute;
    bottom: 0;
    width: 100%;
  }
</style>
